Skip to main content

πŸš€ Quickstart

Connect to Clay with Nango and see data flow in 2 minutes.
1

Create the integration

In Nango (free signup), go to Integrations -> Configure New Integration -> Clay.
2

Authorize Clay

Go to Connections -> Add Test Connection -> Authorize, then enter your Clay API key and Workspace ID. Later, you’ll let your users do the same directly from your app.
3

Call the Clay API

Let’s make your first request to the Clay API. Replace the placeholders below with your secret key, integration ID, and connection ID:
curl "https://api.nango.dev/proxy/v3/my-workspaces" \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"
Or fetch credentials with the Node SDK or API.βœ… You’re connected! Check the Logs tab in Nango to inspect requests.
4

Implement Nango in your app

Follow our Auth implementation guide to integrate Nango in your app.To obtain your own production credentials, follow the setup guide linked below.

πŸ“š Clay Integration Guides

Nango maintained guides for common use cases. Official docs: Clay API docs

🧩 Pre-built syncs & actions for Clay

Enable them in your dashboard. Extend and customize to fit your needs. No pre-built syncs or actions available yet.
Not seeing the integration you need? Build your own independently.